import { AlipayRequestOption, WechatRequestOption } from '../types';
declare type InterceptorType = {
    fulfilled: (request: WechatRequestOption | AlipayRequestOption) => WechatRequestOption | AlipayRequestOption;
    rejected: (reqeust: WechatRequestOption | AlipayRequestOption) => any;
};
export declare class Interceptor {
    handles: any[];
    use(fulfilled: InterceptorType['fulfilled'], rejected: InterceptorType['rejected']): number;
    eject(id: number): void;
    forEach(fn: (interceptor: {
        fulfilled: InterceptorType['fulfilled'];
        rejected: InterceptorType['rejected'];
    }) => any): void;
}
export {};
