"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.promisify = void 0;
const WrapperPromise_1 = require("./WrapperPromise");
function promisify(api) {
    return function (options) {
        const promise = new WrapperPromise_1.WrapperPromise((resolve, reject) => {
            promise.task = api(Object.assign({ success: resolve, fail: reject }, options));
        });
        return promise;
    };
}
exports.promisify = promisify;
//# sourceMappingURL=promisify.js.map