"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isFunction = exports.isString = exports.isArray = exports.isPlainObject = void 0;
const isPlainObject = (target) => {
    return Object.prototype.toString.call(target) === '[object Object]';
};
exports.isPlainObject = isPlainObject;
const isArray = (target) => {
    return Array.isArray(target);
};
exports.isArray = isArray;
const isString = (target) => typeof target === 'string';
exports.isString = isString;
const isFunction = (target) => typeof target === 'function';
exports.isFunction = isFunction;
//# sourceMappingURL=helpers.js.map